xkb_compose_state Struct Reference
Compose and dead-keys support

`#include <xkbcommon-compose.h>`

## Public Member Functions

struct xkb_compose_state * | xkb_compose_state_new (struct xkb_compose_table *table, enum xkb_compose_state_flags flags)
struct xkb_compose_state * | xkb_compose_state_ref (struct xkb_compose_state *state)
void | xkb_compose_state_unref (struct xkb_compose_state *state)
struct xkb_compose_table * | xkb_compose_state_get_compose_table (struct xkb_compose_state *state)
enum xkb_compose_feed_result | xkb_compose_state_feed (struct xkb_compose_state *state, xkb_keysym_t keysym)
void | xkb_compose_state_reset (struct xkb_compose_state *state)
enum xkb_compose_status | xkb_compose_state_get_status (struct xkb_compose_state *state)
int | xkb_compose_state_get_utf8 (struct xkb_compose_state *state, char *buffer, size_t size)
xkb_keysym_t | xkb_compose_state_get_one_sym (struct xkb_compose_state *state)

## Detailed Description

Opaque Compose state object.

The compose state maintains state for compose sequence matching, such as which possible sequences are being matched, and the position within these sequences. It acts as a simple state machine wherein keysyms are the input, and composed keysyms and strings are the output.

The compose state is usually associated with a keyboard device.

The documentation for this struct was generated from the following file:

- xkbcommon/xkbcommon-compose.h